SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
Export.h File Reference
`#include "defines.h"`

Go to the source code of this file.

## Macros

#define | RAK_DLL_EXPORT
#define | STATIC_FACTORY_DECLARATIONS(x)
#define | STATIC_FACTORY_DEFINITIONS(x, y)

## Macro Definition Documentation

#define RAK_DLL_EXPORT

Definition at line 21 of file Export.h.

#define STATIC_FACTORY_DECLARATIONS | ( |  | x | ) |

Value:
static x* GetInstance(void); \
static void DestroyInstance( x *i);

Definition at line 24 of file Export.h.

#define STATIC_FACTORY_DEFINITIONS | ( |  | x,
|  |  | y
| ) |  |

Value:
x* x::GetInstance(void) {return SLNet::OP_NEW<y>( _FILE_AND_LINE_ );} \
void x::DestroyInstance( x *i) {SLNet::OP_DELETE(( y* ) i, _FILE_AND_LINE_);}

Definition at line 27 of file Export.h.